<!-- SIGNUP -->
<div class="ui teal inverted vertical left aligned segment" style="height: 100vh;" #login (window:resize)="scroll(currElement)">
    <div class="ui grid middle aligned"  *ngIf="user===null" style="padding: 10px;">
    
    <div class="row"><div class="column">
        <button class="ui inverted button right floated" (click)="scroll(home);"> BACK</button>
    </div></div>

    <div class="row"><div class="column">
        <div style="width: 50%; margin: auto;">
            <app-sign-up [homeDiv]="home" (scrolledBack)="setCurrentElement($event)"></app-sign-up>
        </div>
    </div></div>

    </div>

    <app-profile-page *ngIf="user!==null" [homeDiv]="home" (scrolledBack)="setCurrentElement($event)">
    </app-profile-page>
   
</div>
<!-- SIGNUP -->


<!-- START -->
<div class="ui teal inverted vertical center aligned segment" style="height: 100vh;" #home (window:resize)="scroll(currElement)">
    <div class="ui grid middle aligned">

    <!-- login button and dropdown menu -->
    <div class="row"><div class="column" style="margin: 10px;">
        
     <app-login [loginDiv]="login"  (scrolledToSignUp)="setCurrentElement($event)"></app-login> 

    </div></div>
    <!-- login button and dropdown menu -->


    <div class="row"><div class="column">
        <h1 class="ui inverted header column" style="font-size: 100px;">
            If you know <br> you know
        </h1>
    </div></div>

    <div class="row"><div class="column">
        <button class="massive teal inverted ui button" (click)="scroll(start); startGame();">
            START
        </button>
    </div></div>


</div>
</div>
<!-- START  -->


<!-- GAME  -->
<div class="ui segment" #start style="height: 100vh;" (window:resize)="scroll(currElement)">
   <!-- ako se stavi u *ngIf ne radi promena tabova *ngIf="gameOn" -->
<div class="two wide field">
    <div class="ui large teal button" (click)="onBackFromGame()">BACK</div>
    <div class="ui big teal label"> Current points: {{totalPoints}} </div>
    <div class="ui big teal label" *ngIf="showCurrGame"> Playing {{currentGame}} game </div>
</div>
<br>

<!-- <div class="ui top attached tabular menu">
  <a class="item active" data-tab="jigsaw"> Jigsaw </a>
  <a class="item" data-tab="jumper"> Jumper </a>
  <a class="item" data-tab="match-pairs"> Match pairs</a>
  <a class="item" data-tab="if-you-know"> If you know</a>
  <a class="item" data-tab="associations"> Associations</a>
  <a class="item" data-tab="points-won"> Points won</a>
</div> -->

<div class="ui tab segment active" data-tab="jigsaw">
    <app-jigsaw (sendPointsWon)="onJigsawPointsWon($event)" (showNextGame)="showNextTab($event)"></app-jigsaw>
</div>

<div class="ui tab segment" data-tab="jumper">
    <app-jumper (sendPointsWon)="onJumperPointsWon($event)" (showNextGame)="showNextTab($event)"></app-jumper>
</div>

<div class="ui tab segment" data-tab="match-pairs">
    <app-match-pairs [shouldStartTimer]="shouldStartMatchPairs" (sendPointsWon)="onMatchPairsPointsWon($event)" (showNextGame)="showNextTab($event)"></app-match-pairs>
</div>

<div class="ui tab segment" data-tab="if-you-know">
    <app-if-you-know [shouldStartTimer]="shouldStartIfYouKnow" (sendPointsWon)="onIfYouKnowPointsWon($event)" (showNextGame)="showNextTab($event)"></app-if-you-know>
</div>

<div class="ui tab segment" data-tab="associations">
    <app-associations [shouldStartTimer]="shouldStartAssociations" (sendPointsWon)="onAssociationsPointsWon($event)" (showPoints)="showNextTab($event)"></app-associations>
</div>

<div class="ui tab segment" data-tab="points-won">
    <div class = "ui raised center aligned container segment">
        <table class="ui inverted teal table">
            <thead>
            <tr>
                <th> Game </th>
                <th> Points </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>Jigsaw</td> <td> {{jigsawPoints}}</td>
            </tr>
            <tr>
                <td>Jumper</td> <td> {{jumperPoints}}</td>
            </tr>
            <tr>
                <td>Match pairs </td> <td> {{matchPairsPoints}}</td>
            </tr>
            <tr>
                <td>If you know</td> <td> {{ifYouKnowPoints}}</td>
            </tr>
            <tr>
                <td>Associations</td> <td> {{associationsPoints}}</td>
            </tr>
        </tbody>
        <thead>
            <th> Total points won </th>
            <th> {{ totalPoints }} </th>
        </thead>
        </table>

        <!-- <button class="ui teal fluid button" (click)="savePoints()" *ngIf="user != null"> SAVE POINTS </button> -->
        <br *ngIf="user != null">
        <button class="ui teal fluid button" (click)="onPlayAgain()"> PLAY AGAIN </button>
    </div>
</div>

</div>
<!-- GAME  -->